/*
 Theme Name: Puiki Info
 Theme URI: 
 Description: Labai gera tema
 Author: Puiki.lt
 Author URI: http://www.paulswarthout.com/child-themes-helper
 Template: kadence
 Version: 0.1.0
*/

/* --- KADENCE + MENU IMAGE OPTIMIZACIJA --- */



.skip-to-content-link {
    display: none !important;
}

.wp-block-video video{
    width: 100%;
    padding-bottom: 10px;
}



figure.wp-block-embed.is-type-video {
    position: relative;
    width: 100%;
    height: 0;
    padding-bottom: 56.25%; /*16:9*/
}
figure.wp-block-embed.is-type-video iframe {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}
.archive-description p {
	text-align: left;
	margin-top: 15px;
}
#main .wp-block-list li{
	margin-bottom: 15px;
}
#main .wp-block-list li::marker {
	font-size: 20px;
	font-weight: bold;
	background-color:#fbf6f0;
}

.wp-block-quote {
font-family: Verdana,Geneva,sans-serif; 
background-color:#fbf6f0;
border-left:3px dashed #d5bc8c;
border-right:3px dashed #d5bc8c;
text-align:left;
padding-top: 10px;
padding-bottom: 10px;
}
.wp-block-quote cite {
color: #a1a1a1;
font-size: 14px;
display: block;
margin-top: 5px;
}
 
.wp-block-quote cite:before {
content: "\2014 \2009";
}

#secondary .widget .parent-sidebar-menu{
	display:inline-block;
	transform:translatex(0px) translatey(0px) !important;
	padding-left:0px;
	margin-left:0px;
	
}

@media screen and (max-width: 500px) {
  .single-content .wp-block-image figure.alignleft, 
  .single-content .wp-block-image figure.alignright,
  .single-content figure.wp-block-image.alignleft, 
  .single-content figure.wp-block-image.alignright {
    margin: 0 auto 30px;
    float: unset;
  }
}

.wp-dark-mode-active mega-custom-icon mega-menu-link,
.wp-dark-mode-loading mega-custom-icon mega-menu-link { 
    color: white; 
}


/* container */
.responsive-three-column-grid {
    display:block;
}

/* columns */
.responsive-three-column-grid > * {
    padding:1rem;
}

/* tablet breakpoint */
@media (min-width:1099px) {
    .responsive-three-column-grid {
        display: grid;
        grid-auto-rows: 1fr;
        grid-template-columns: 1fr 1fr 1fr;
    }
}


.content-wrapper {
   display: inline; 
}

:root :where(a:where(:not(.wp-element-button))) {
text-decoration: none;
}

@media screen and (min-width:1024px) {
	h2.entry-title  {
		font-weight: 700;
		font-size: 22px;
		color: red;
	}
}
@media screen and (min-width:768px and max-width:1024px) {
	h2.entry-title  {
		font-weight: 700;
		font-size: 24px;
	}
}
@media screen and (max-width:768px) {
	h2.entry-title  {
		font-weight: 700;
		font-size: 26px;
	}
}

.archive h2.entry-title {
    font-size: 16px;
    font-weight: 700;
    color: #a3620a;
}

/* container */
.responsive-two-column-grid {
    display:block;
}

/* columns */
.responsive-two-column-grid > * {
    padding:1rem;
}

/* tablet breakpoint */
@media only screen and (max-width: 768px) {
    .responsive-two-column-grid {
        display: grid;
        grid-template-columns: 1fr 1fr;
    }
}
	
	/* Post Title */
a .postTitle{
    text-decoration: none;
}
  
/* container */
.r3c {
    display: block;
}


/* columns */
.r3c > * {
    padding: 0px;
}

/* tablet breakpoint */
@media only screen and (min-width: 768px) {
    .r3c {
        display: grid;
        grid-auto-rows: 1fr;
        grid-template-columns: 1fr 1fr 1fr;
    }
}

/* Centruoja paveikslėlio aprašymą, kai paveikslėlis yra centruotas. */
.wp-block-image.aligncenter figcaption {
    text-align: center;
}

/* Paslėpti AI Engine Copilot pranešimą */
.block-editor-default-block-appender__content-area .ai-engine-copilot-shortcut {
    display: none !important;
}
.ai-engine-copilot-shortcut {
    display: none !important;
}

